package de.renew.formalism.java;


/**
 * This interface tags objects that may be inscribed to an arc.
 *
 * @author Michael Simon
 **/
public interface ArcInscription {
    /**
     * Get-Method for the Arc-Expression
     * @return the expression
     */
    TypedExpression getExpression();

    /**
     * Get-Method for the Time-Expression
     * @return the time-expression
     */
    TypedExpression getTime();

    /**
     * Get-Method for timed filed
     * @return true if inscription is timed
     */
    boolean isTimed();
}